<?php

namespace App\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(readOnly=true)
 * @ORM\Table(name="location_view")
 */
class LocationView
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="integer")
     */
    private $dcode;

    /**
     * @ORM\Column(type="integer")
     */
    private $department;

    /**
     * @ORM\Column(type="integer")
     */
    private $filial;

    /**
     * @ORM\Column(type="integer", name="specialist_id")
     */
    private $specialistId;

    /**
     * @ORM\Column(type="boolean")
     */
    private $onlineMode;

    /**
     * @ORM\Column(type="boolean")
     */
    private $active;

    /**
     * @var datetime $nearestDate
     *
     * @ORM\Column(type="date", nullable = true)
     */
    private $nearestDate;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getDcode(): ?int
    {
        return $this->dcode;
    }

    public function getDepartment(): ?int
    {
        return $this->department;
    }

    public function getFilial(): ?int
    {
        return $this->filial;
    }

    public function getSpecialistId(): ?int
    {
        return $this->specialistId;
    }

    public function isOnlineMode(): ?bool
    {
        return $this->onlineMode;
    }

    public function isActive(): ?bool
    {
        return $this->active;
    }

    public function getNearestDate(): ?\DateTimeInterface
    {
        return $this->nearestDate;
    }
}
